# \_create

Creates a new Job recurrence

### Parameters

#### active

Status to be set for the recurrence, active - 1 inactive -0

#### name

Textual description of the recurrence

#### copy\_user

Should the user be copied to each job in the recurrence, yes - 1 no - 0

#### copy\_cust\_ref

Should the customer job reference be copied for each job in the recurrence, yes -1 no - 0

#### every

Frequency based on Weeks/Months/Years

#### on\_arr

The Quantity of years/months/weeks, eg. every 1 month

#### expiry\_date

What date should the recurrence end, YYYY-MM-DD

### Example

```
FM_api('JobRecurrence_create', ['active' => '1', 'name' => 'API TEST', 'copy_user' => '0', 'copy_cust_ref' => '1', 'every' => '3', 'on_arr' => '1' , 'expiry_date' => '2020-12-30'])
```

### On Success

```
{"id":"55","name":"API TEST","ids":"","cdate":"2019-01-08","edate":"2020-12-30","active":"1","every":"0","on_arr":"360","customer_id":"0","customer_type":"0","next_date":null,"user_id":"0","notes":null,"files":null,"edited_uuid":"AppointmentRecurrence_create","last_edited":"2019-01-08 11:44:40","days_in_advance":"30","copy_user":null,"copy_cust_ref":null}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/jobrecurrence/_create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
